• 13
Tr1gg3r

The Ui Flicker Bug - In stock

Question

Dear squaddies :)

ive got stock and modded installs of 1.2 etc but i think ive maybe found a stock bug, but can only prove it by adding mods, so advice needed is 'where do i go from here' ?

weve put up a thread in modded support, which hasnt been looked at or i should say commented on by squad (will provide link when i edit) 

edit - link : 

 

it seems, certainly not proven (still testing etc) that when a parts category gets too full, a strange UI bug rears its head.

it doesnt happen in just stock and it doesnt happen when ive tried running ksp with each mod i use 'on its own', obviously all my mods are for 1.2 etc and i only use reputable developers mods (cut down on the random factor) logs dont show anything major.

i can have 57-60 parts in category, any more and UI bug appears and it seems the more you have the worse it gets.

so, without installing mods, how can i show that stock MAY have a bug with amount of parts installed ?

Can i get an answer from squad before a mod moves this please :)

cheers

OH and ill keep bumping this up the thread til its solved or w.i.p. 

Edited by Tr1gg3r
To provide link

Share this post


Link to post
Share on other sites

Recommended Posts

  • 0

@TriggerAu

Since there might be dozens of people that want to try the fix, is there any chance that it could be release within a "stock bug fix"-update or another kind of "private-fix" instead of having to wait for 1.2.1?
Since this is something everyone that has a fair amount of mods runs into, its no "edge-case-scenario" and for many of us makes the game kinda "unenjoyable" at the moment.

Share this post


Link to post
Share on other sites
  • 0
15 minutes ago, Speadge said:

@TriggerAu

Since there might be dozens of people that want to try the fix, is there any chance that it could be release within a "stock bug fix"-update or another kind of "private-fix" instead of having to wait for 1.2.1?
Since this is something everyone that has a fair amount of mods runs into, its no "edge-case-scenario" and for many of us makes the game kinda "unenjoyable" at the moment.

Unfortunately no due to where the fix lies :( (well, without spending a bunch of time making a mod instead of fixing more bugs :P ) , but we are compiling these for a 1.2.1 as per the dev notes.

Share this post


Link to post
Share on other sites
  • 0
On 10/24/2016 at 8:18 AM, Speadge said:

@TriggerAu

Since there might be dozens of people that want to try the fix, is there any chance that it could be release within a "stock bug fix"-update or another kind of "private-fix" instead of having to wait for 1.2.1?
Since this is something everyone that has a fair amount of mods runs into, its no "edge-case-scenario" and for many of us makes the game kinda "unenjoyable" at the moment.

 

Yeah very unenjoyable, I have been installing and uninstalling mods trying to find an incompatible pair that was causing the flicker, now that I have found this thread I know it's not the mods. I tried to play with the flicker but in the end, the VAB just craps out.I had gotten to a point in career and was making a large rocket when I lost both the bottom and top tools in the VAB.

Share this post


Link to post
Share on other sites
  • 0

Hi here, I have the same problem, played 1.2 in vanilla and all was ok, I added some mods with parts and all go crazy in the VAB.

So is it impossible to fix the problem with an unofficial patch or an "how-to-fix-it-instructions" until 1.2.1 come out? I understand you can say "vanilla is playable so keep calm and no rush", but we all know here that, without mod, Kerbal Space Program is... well, you know, is not the same at all.

Of course I don't want to be rude, all the things that I'm saying are a consequence of the fact that I love this game and all your work.

Share this post


Link to post
Share on other sites
  • 0

I have also seen this, I run about 45 mods or so. I haven't tried it stock yet. Interestingly, it happens on one of my PCs but not the other. My primary PC is newer, but far less powerful. It has the flickering issue. My other PC is a beast, but several years old now. It runs fine, in fact, better than the new PC. Both are 64 bit Dells, with all Dell parts (no aftermarket boards).

Share this post


Link to post
Share on other sites
  • 0

I'm getting this menu flicker more with the Mac version than the PC version.  It's annoying but it doesn't stop the addiction.

There may be more mods on the Mac version.  

Share this post


Link to post
Share on other sites
  • 0

If this is a stock issue, I can not believe that Squad haven't fixed this while releasing 1.2

 

People who suffer from this, very well knows that it is truly ANNOYING makes the game and the building process nearly unplayable.

 

I really hope someone can fix this in the near future.

Share this post


Link to post
Share on other sites
  • 0
30 minutes ago, Smart Parts Wanter said:

If this is a stock issue, I can not believe that Squad haven't fixed this while releasing 1.2

AFAIK It was not noticed during pre-release, likely because few large part packs were available at that time.

31 minutes ago, Smart Parts Wanter said:

I really hope someone can fix this in the near future.

Fixed in 1.2.1. Chill. Shouting about it won't speed up the release.

Share this post


Link to post
Share on other sites
  • 0
50 minutes ago, steve_v said:

AFAIK It was not noticed during pre-release, likely because few large part packs were available at that time.

Fixed in 1.2.1. Chill. Shouting about it won't speed up the release.

Yeah I learned about it after posted... And I'm happy about it...

I'm not shouting about it but if you also have this issue, you would know how I feel.

Share this post


Link to post
Share on other sites
  • 0
13 minutes ago, Smart Parts Wanter said:

I'm not shouting about it but if you also have this issue, you would know how I feel.

1 hour ago, Smart Parts Wanter said:

it is truly ANNOYING

Caps is considered shouting, no?
And yes, I do see this issue, so I am playing mostly-stock until 1.2.1 is out.
Options at the moment are to exercise restraint with part mods, or put up with the UI issues.

Edited by steve_v

Share this post


Link to post
Share on other sites
  • 0
On 30/10/2016 at 9:08 PM, steve_v said:

Caps is considered shouting, no?
And yes, I do see this issue, so I am playing mostly-stock until 1.2.1 is out.
Options at the moment are to exercise restraint with part mods, or put up with the UI issues.

1.2.1 is out :)

And the majority of mods work, the version checkers throw messages, but the codebase is almost unchanged from a mod perspective

Share this post


Link to post
Share on other sites
This thread is quite old. Please consider starting a new thread rather than reviving this one.

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Answer this question...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.